# $Revision: 1.253 $, $Date: 2012/01/26 22:31:27 $
#
# Conditional build:
%bcond_without	apidocs         # disable gtk-doc
%bcond_without	static_libs	# don't build static library
%bcond_with	selinux		# gio with SELinux support

%include	/usr/lib/rpm/macros.perl
Summary:	Useful routines for 'C' programming
Summary(cs.UTF-8):	Šikovná knihovna s funkcemi pro pomocné programy
Summary(da.UTF-8):	Nyttige biblioteksfunktioner
Summary(de.UTF-8):	Eine nützliche Library von Dienstprogramm-Funktionen
Summary(es.UTF-8):	Conjunto de funciones gráficas utilitarias
Summary(fi.UTF-8):	Kirjasto, jossa on työkalufunktioita
Summary(fr.UTF-8):	Bibliothèque de fonctions utilitaires
Summary(ja.UTF-8):	便利なユーティリティ関数のライブラリ
Summary(pl.UTF-8):	Biblioteka zawierająca wiele użytecznych funkcji C
Summary(pt_BR.UTF-8):	Conjunto de funções gráficas utilitárias
Summary(tr.UTF-8):	Yararlı ufak yordamlar kitaplığı
Summary(zh_CN.UTF-8):	实用工具函数库
Name:		glib2
Version:	2.30.2
Release:	2
Epoch:		1
License:	LGPL v2+
Group:		Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glib/2.30/glib-%{version}.tar.xz
# Source0-md5:	b7dd26aa83de0b59c867a0b9eb9f9462
Patch0:		%{name}-makefile.patch
URL:		http://www.gtk.org/
BuildRequires:	autoconf >= 2.62
BuildRequires:	automake >= 1:1.11
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	fam-devel
BuildRequires:	gettext-devel
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.17}
%{?with_apidocs:BuildRequires:	gtk-doc-automake >= 1.17}
BuildRequires:	libffi-devel >= 3.0.0
%{?with_selinux:BuildRequires:	libselinux-devel}
BuildRequires:	libtool >= 2:2.2
BuildRequires:	pcre-devel >= 8.11
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.16
BuildRequires:	python >= 1:2.5
BuildRequires:	rpm-perlprov
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRequires:	sed >= 4.0
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	zlib-devel
Requires:	iconv
Requires:	pcre >= 8.11
Suggests:	gvfs
Provides:	glib2-libs
Obsoletes:	glib2-libs
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GLib, is a library which includes support routines for C such as
lists, trees, hashes, memory allocation, and many other things. GLib
includes also generally useful data structures used by GIMP and many
other.

%description -l cs.UTF-8
Šikovná knihovna s funkcemi pro pomocné programy. Vývojové knihovny a
hlavičky jsou v balíčku glib-devel.

%description -l da.UTF-8
Nyttigt bibliotek med forskellige funktioner. Udviklings- biblioteker
og headerfiler er i glib-devel pakken.

%description -l de.UTF-8
Eine nützliche Library von Dienstprogramm-Funktionen.
Entwicklungs-Libraries und Header befinden sich in glib-devel.

%description -l es.UTF-8
Conjunto de funciones utilitarias. Bibliotecas de desarrollo y
archivos de inclusión están en glib-devel.

%description -l fi.UTF-8
Kirjasto, jossa on työkalufunktioita. Kehitysversiot ja
header-tiedostot ovat glib-devel-paketissa.

%description -l ja.UTF-8
GLibはユーティリティ関数を集めた便利なライブラリです。このＣ言語用ライブラリは、
いくつかの問題を解決するよう設計されており、多くのプログラムから要求される使いやすい 関数を提供します。

GLibはGDK, GTK+他多くのアプリケーションで利用される。このライブラリに依存するアプリケーション
等のためにこのglibパッケージをインストールしてください。

%description -l pl.UTF-8
GLib jest zestawem bibliotek zawierających funkcje do obsługi list i
drzew, funkcje mieszające, funkcje do alokacji pamięci i dużo innych
podstawowych funkcji i różnych struktur danych używanych przez program
GIMP i wiele innych.

%description -l pt_BR.UTF-8
Conjunto de funções utilitárias. Bibliotecas de desenvolvimento e
arquivos de inclusão estão em glib-devel.

%description -l tr.UTF-8
Yararlı yordamlar kitaplığı. Geliştirme kitaplıkları ve başlık
dosyaları glib-devel paketinde yer almaktadır.

%package devel
Summary:	GLib heades files, documentation
Summary(es.UTF-8):	Conjunto de funciones gráficas utilitarias para desarrollo
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja do GLib
Summary(pt_BR.UTF-8):	Conjunto de ferramentas e biblioteca do kit de desenho do GIMP
Group:		Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	pcre-devel >= 8.11
# gio only
%{?with_selinux:Requires:	libselinux-devel}
Requires:	zlib-devel

%description devel
Header files for the support library for the GIMP's X libraries, which
are available as public libraries. GLib includes generally useful data
structures.

%description devel -l es.UTF-8
Conjunto de funciones gráficas utilitarias para desarrollo.

%description devel -l ja.UTF-8
glib2-develパッケージには、一般ライブラリとして有効なGIMPのXライブラリ群
(GtkとGDK)をサポートするライブラリ向けにスタティックライブラリとヘッダが 含まれています。

もしGLibを使ってプログラムを開発するならば、glib-develパッケージをインスト ールしてください。

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja do GLib przydatna przy pisaniu
programów wykorzystujących tę bibliotekę.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para a biblioteca de suporte para
as bibliotecas X do GIMP, que são disponíveis como bibliotecas
públicas. A GLib inclui estruturas de dados genéricas úteis.

%package static
Summary:	Static GLib libraries
Summary(pl.UTF-8):	Biblioteki statyczne GLib
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com GLib
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static GLib libraries.

%description static -l pl.UTF-8
Biblioteki statyczne GLib.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com GLib.

%package apidocs
Summary:	GLib API documetation
Summary(pl.UTF-8):	Dokumentacja API GLib
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
GLib API documetation.

%description apidocs -l pl.UTF-8
Dokumentacja API GLib.

%package gdb
Summary:	GDB Python pretty printers for GObject/GLib types
Summary(pl.UTF-8):	Skrypty Pythona dla GDB do ładnego wypisywania typów GObject/GLib
Group:		Development/Debuggers
Requires:	gdb

%description gdb
GDB Python pretty printers for GObject/GLib types. This includes
support for GObject pointer pretty printing and signal frame
compression in backtraces.

%description gdb -l pl.UTF-8
Skrypty Pythona dla GDB do ładnego wypisywania typów GObject/GLib.
Obejmują także ładne wypisywanie wskaźników GObject oraz kompresję
ramek sygnagłów w zrzutach wywołań (backtrace).

%package -n bash-completion-gio
Summary:	bash-completion for gio utilities
Summary(pl.UTF-8):	Bashowe uzupełnianie nazw dla narzędzi gio
Group:		Applications/Shells
Requires:	bash-completion
Obsoletes:	bash-completion-gdbus

%description -n bash-completion-gio
bash-completion for gio utilities: gdbus and gsettings.

%description -n bash-completion-gio -l pl.UTF-8
Bashowe uzupełnianie nazw dla narzędzi gio: gdbus i gsettings.

%prep
%setup -q -n glib-%{version}
%patch0 -p1

%if !%{with apidocs}
%{__sed} -e '/SUBDIRS/s/docs//' -i Makefile.am
%{__sed} -e '/^docs.*Makefile$/d' -i configure.ac
echo 'AC_DEFUN([GTK_DOC_CHECK],[])' >> acinclude.m4
%endif

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__aclocal} -I m4macros
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	%{?with_apidocs:--with-html-dir=%{_gtkdocdir}} \
	%{__enable_disable selinux} \
	%{__enable_disable static_libs static} \
	--enable-debug=%{?debug:yes} \
	--enable-man \
	--enable-threads \
	--with-pcre=system

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir} \
	pkgconfigdir=%{_pkgconfigdir}

> $RPM_BUILD_ROOT%{_libdir}/gio/modules/giomodule.cache
> $RPM_BUILD_ROOT%{_datadir}/glib-2.0/schemas/gschemas.compiled

%{__rm} $RPM_BUILD_ROOT%{_libdir}/gio/modules/libgiofam.la \
	%{?with_static_libs:$RPM_BUILD_ROOT%{_libdir}/gio/modules/libgiofam.a}

%py_comp $RPM_BUILD_ROOT%{_datadir}/glib-2.0/gdb
%py_ocomp $RPM_BUILD_ROOT%{_datadir}/glib-2.0/gdb
%py_postclean $RPM_BUILD_ROOT%{_datadir}/glib-2.0/gdb

%find_lang glib20

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

umask 022
%{_bindir}/gio-querymodules %{_libdir}/gio/modules || :

%postun	-p /sbin/ldconfig

%files -f glib20.lang
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%attr(755,root,root) %{_bindir}/gdbus
%attr(755,root,root) %{_bindir}/gio-querymodules
%attr(755,root,root) %{_bindir}/glib-compile-schemas
%attr(755,root,root) %{_bindir}/gsettings
%attr(755,root,root) %{_libdir}/libgio-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgio-2.0.so.0
%attr(755,root,root) %{_libdir}/libglib-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglib-2.0.so.0
%attr(755,root,root) %{_libdir}/libgmodule-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgmodule-2.0.so.0
%attr(755,root,root) %{_libdir}/libgobject-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgobject-2.0.so.0
%attr(755,root,root) %{_libdir}/libgthread-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgthread-2.0.so.0
%dir %{_libdir}/gio
%dir %{_libdir}/gio/modules
%attr(755,root,root) %{_libdir}/gio/modules/libgiofam.so
%ghost %{_libdir}/gio/modules/giomodule.cache
%dir %{_datadir}/glib-2.0
%dir %{_datadir}/glib-2.0/schemas
%ghost %{_datadir}/glib-2.0/schemas/gschemas.compiled
%if %{with apidocs}
%{_mandir}/man1/gdbus.1*
%{_mandir}/man1/gio-querymodules.1*
%{_mandir}/man1/glib-compile-schemas.1*
%{_mandir}/man1/gsettings.1*
%endif

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/gdbus-codegen
%attr(755,root,root) %{_bindir}/glib-genmarshal
%attr(755,root,root) %{_bindir}/glib-gettextize
%attr(755,root,root) %{_bindir}/glib-mkenums
%attr(755,root,root) %{_bindir}/gobject-query
%attr(755,root,root) %{_bindir}/gtester
%attr(755,root,root) %{_bindir}/gtester-report
%attr(755,root,root) %{_libdir}/libgio-2.0.so
%attr(755,root,root) %{_libdir}/libglib-2.0.so
%attr(755,root,root) %{_libdir}/libgmodule-2.0.so
%attr(755,root,root) %{_libdir}/libgobject-2.0.so
%attr(755,root,root) %{_libdir}/libgthread-2.0.so
%{_libdir}/libgio-2.0.la
%{_libdir}/libglib-2.0.la
%{_libdir}/libgmodule-2.0.la
%{_libdir}/libgobject-2.0.la
%{_libdir}/libgthread-2.0.la
%dir %{_libdir}/gdbus-2.0
%dir %{_libdir}/gdbus-2.0/codegen
%{_libdir}/gdbus-2.0/codegen/*.py*
%{_libdir}/glib-2.0
%{_includedir}/gio-unix-2.0
%{_includedir}/glib-2.0
%dir %{_datadir}/glib-2.0/gettext
%attr(755,root,root) %{_datadir}/glib-2.0/gettext/mkinstalldirs
%{_datadir}/glib-2.0/gettext/po
%{_datadir}/glib-2.0/schemas/gschema.dtd
%{_pkgconfigdir}/gio-2.0.pc
%{_pkgconfigdir}/gio-unix-2.0.pc
%{_pkgconfigdir}/glib-2.0.pc
%{_pkgconfigdir}/gmodule-2.0.pc
%{_pkgconfigdir}/gmodule-export-2.0.pc
%{_pkgconfigdir}/gmodule-no-export-2.0.pc
%{_pkgconfigdir}/gobject-2.0.pc
%{_pkgconfigdir}/gthread-2.0.pc
%{_aclocaldir}/glib-2.0.m4
%{_aclocaldir}/glib-gettext.m4
%{_aclocaldir}/gsettings.m4
%if %{with apidocs}
%{_mandir}/man1/gdbus-codegen.1*
%{_mandir}/man1/glib-genmarshal.1*
%{_mandir}/man1/glib-gettextize.1*
%{_mandir}/man1/glib-mkenums.1*
%{_mandir}/man1/gobject-query.1*
%{_mandir}/man1/gtester-report.1*
%{_mandir}/man1/gtester.1*
%endif

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgio-2.0.a
%{_libdir}/libglib-2.0.a
%{_libdir}/libgmodule-2.0.a
%{_libdir}/libgobject-2.0.a
%{_libdir}/libgthread-2.0.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gdbus-object-manager-example
%{_gtkdocdir}/gio
%{_gtkdocdir}/glib
%{_gtkdocdir}/gobject
%endif

%files gdb
%defattr(644,root,root,755)
%{_datadir}/gdb/auto-load/usr/%{_lib}/libglib-2.0.so.*.*.*-gdb.py
%{_datadir}/gdb/auto-load/usr/%{_lib}/libgobject-2.0.so.*.*.*-gdb.py
%{_datadir}/glib-2.0/gdb

%files -n bash-completion-gio
%defattr(644,root,root,755)
%{_sysconfdir}/bash_completion.d/gdbus-bash-completion.sh
%{_sysconfdir}/bash_completion.d/gsettings-bash-completion.sh

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: glib2.spec,v $
Revision 1.253  2012/01/26 22:31:27  zbyniu
- python-gdb merged to gdb so R: changed, rel 2

Revision 1.252  2011/11/25 20:00:13  qboosh
- back to 2.30.2 on HEAD; 2.31.0 stays on DEVEL branch

Revision 1.250  2011/11/11 23:25:18  megabajt
- updated to 2.30.2

Revision 1.249  2011/10/16 05:21:15  qboosh
- updated to 2.30.1

Revision 1.248  2011/09/28 19:30:58  qboosh
- BR: python 2.5

Revision 1.247  2011/09/27 21:42:55  wiget
- merged from DEVEL
- up to 2.30.0

Revision 1.246  2011/08/08 12:32:04  kiesiu
- devel subpackage requires zlib-devel

Revision 1.245  2011/07/10 20:01:26  glen
- package /usr/share/glib-2.0/schemas/gschemas.compiled

Revision 1.244  2011/06/09 15:03:55  lisu
- gtk-doc >= 1.17

Revision 1.243  2011/06/06 15:44:24  kiesiu
- updated to 2.28.8

Revision 1.242  2011/05/21 11:44:31  megabajt
- updated to 2.28.7

Revision 1.241  2011/04/26 18:14:38  baggins
- rel 2
- suggest gvfs for gio to have a chance of working

Revision 1.240.2.7  2011/09/18 16:17:34  megabajt
- updated to 2.29.92

Revision 1.240.2.6  2011/09/13 21:51:01  megabajt
- updated to 2.29.90
- moved codegen to -devel subpackage

Revision 1.240.2.5  2011/08/30 18:43:04  megabajt
- updated to 2.29.18

Revision 1.240.2.4  2011/08/17 19:16:51  megabajt
- updated to 2.29.16
- removed -pc.patch (fixed upstream)

Revision 1.240.2.3  2011/07/22 18:26:35  kiesiu
- updated to 2.29.14
- package gschemas.compiled
- package all missing apidocs and manuals

Revision 1.240.2.2  2011/07/11 09:48:56  patrys
- 2.29.10

Revision 1.240.2.1  2011/04/15 07:36:21  lisu
- updated to 2.29.2

Revision 1.240  2011/04/14 08:20:33  megabajt
- updated to 2.28.6

Revision 1.239  2011/04/01 20:42:22  megabajt
- updated to 2.28.5

Revision 1.238  2011/03/21 18:04:38  megabajt
- updated to 2.28.4

Revision 1.237  2011/03/14 15:23:22  megabajt
- updated to 2.28.3

Revision 1.236  2011/03/07 19:17:57  megabajt
- updated to 2.28.2

Revision 1.235  2011/02/19 00:29:49  megabajt
- updated to 2.28.1

Revision 1.234  2011/02/11 07:55:07  arekm
- rel 2; -lrt needed for static linking

Revision 1.233  2011/02/09 17:53:04  qboosh
- package gdb pretty printers (-gdb subpackage)

Revision 1.232  2011/02/09 14:28:59  megabajt
- updated to 2.28.0

Revision 1.231  2011/02/05 14:33:01  areq
- revert, It links to libfam not libgamin  fam-devel is a proper
virtual name

Revision 1.230  2011/02/05 10:29:18  areq
- BR: fam-devel -> gamin-devel

Revision 1.229  2011/02/03 23:56:46  sparky
- BR: rpm-perlprov

Revision 1.228  2011/02/03 20:29:39  atler
- BR: pcre-devel >= 8.11

Revision 1.227  2011/02/03 20:17:35  lisu
- merged with DEVEL for gtk+2 >= 2.24.0

Revision 1.226  2011/01/29 14:47:06  charles
- removed obsolete --{dis,en}able-gtk-doc option
- fixed %istall if set without apidocs

Revision 1.225  2011/01/24 00:58:25  sparky
- generate perl deps (perl-base alone is no longer enough)
- release: 2, STBR

Revision 1.224  2010/12/04 15:53:14  sls
- BR: gtk-doc >= 1.15

Revision 1.223  2010/11/14 16:18:31  megabajt
- updated to 2.26.1

Revision 1.222  2010/10/31 14:48:04  megabajt
- reverted previous commit; HEAD should be 2.26.x (2.27.x is on DEVEL)

Revision 1.221.2.8  2011/02/03 13:22:55  wiget
- 2.27.93
- use %__enable_disable macro
- disable silet rules

Revision 1.221.2.7  2011/01/25 13:40:55  atler
- don't remove static libs if building without static_libs
- don't package mans from main package if building without apidocs

Revision 1.221.2.6  2011/01/13 19:20:25  wiget
- 2.27.91

Revision 1.221.2.5  2011/01/09 23:26:07  wiget
- 2.27.90

Revision 1.221.2.4  2010/12/23 09:14:23  lisu
- 2.27.5

Revision 1.221.2.3  2010/12/08 09:04:57  lisu
- 2.27.4
- use rm macro

Revision 1.221.2.2  2010/11/09 21:16:59  megabajt
- updated to 2.27.3

Revision 1.221.2.1  2010/11/01 17:50:23  megabajt
- updated to 2.27.2

Revision 1.221  2010/10/31 14:42:23  megabajt
- updated to 2.27.1

Revision 1.220  2010/10/03 13:44:05  qboosh
- updated ac/am/lt versions

Revision 1.219  2010/10/03 13:39:35  qboosh
- renamed bash-completion-gdbus to bash-completion-gio, included gsettings completion to it

Revision 1.218  2010/09/30 20:39:29  megabajt
- moved %dir %{_datadir}/glib-2.0 to main package
- release 3

Revision 1.217  2010/09/29 09:20:02  megabajt
- main package should own %{_datadir}/glib-2.0/schemas
- release 2

Revision 1.216  2010/09/27 18:01:15  megabajt
- merged from DEVEL

Revision 1.213.2.11.2.6  2010/09/27 17:51:59  megabajt
- updated to 2.26.0

Revision 1.213.2.11.2.5  2010/09/22 18:17:51  patrys
- 2.25.17

Revision 1.213.2.11.2.4  2010/08/31 15:09:54  patrys
- 2.25.15

Revision 1.213.2.11.2.3  2010/08/11 08:56:11  lisu
- 2.25.13

Revision 1.215  2010/08/09 10:42:04  megabajt
- updated to 2.24.2

Revision 1.213.2.11.2.2  2010/08/03 11:53:00  lisu
- 2.25.12

Revision 1.213.2.11.2.1  2010/07/12 11:32:43  lisu
- 2.25.11

Revision 1.213.2.11  2010/06/25 13:24:39  megabajt
- updated to 2.25.10

Revision 1.213.2.10  2010/06/18 13:13:21  lisu
- up to 2.25.9

Revision 1.213.2.9  2010/06/12 17:48:09  megabajt
- added bash-completion-gdbus package

Revision 1.213.2.8  2010/06/12 13:27:35  lisu
- up to 2.25.8
- add gdbus binary and man pages

Revision 1.213.2.7  2010/05/27 07:27:23  lisu
- 2.25.7

Revision 1.213.2.6  2010/05/23 20:03:46  lisu
- 2.25.6

Revision 1.214  2010/05/03 11:18:41  lisu
- 2.24.1

Revision 1.213.2.5  2010/04/26 09:14:34  lisu
- 2.25.3
- gschema-compile -> glib-compile-schemas
- do not package glib-compile-schemas man pages twice

Revision 1.213.2.4  2010/04/23 19:12:05  megabajt
- updated to 2.25.2

Revision 1.213.2.3  2010/04/22 16:49:02  megabajt
- package more files

Revision 1.213.2.2  2010/04/22 08:30:51  lisu
- use sed macro

Revision 1.213.2.1  2010/04/22 08:29:40  lisu
- 2.25.1

Revision 1.213  2010/03/26 20:35:10  megabajt
- merged from DEVEL

Revision 1.207.2.9  2010/03/26 20:26:39  megabajt
- updated to 2.24.0

Revision 1.207.2.8  2010/03/22 18:59:29  megabajt
- updated to 2.23.6

Revision 1.212  2010/03/17 08:20:56  lisu
- up to 2.22.5
- adapter

Revision 1.207.2.7  2010/03/12 20:18:09  megabajt
- updated to 2.23.5

Revision 1.207.2.6  2010/02/22 14:32:46  lisu
- 2.23.4

Revision 1.207.2.5  2010/02/10 11:55:43  megabajt
- updated to 2.23.3

Revision 1.207.2.4  2010/02/05 14:20:05  lisu
- 2.23.2

Revision 1.211  2010/01/15 00:33:51  sparky
- dropped BR: source-highlight -- not used directly

Revision 1.210  2010/01/14 23:10:41  sparky
- apidocs BR: source-highlight

Revision 1.209  2010/01/14 19:41:48  arekm
- up to 2.22.4

Revision 1.207.2.3  2009/12/28 14:30:09  patrys
- drop en@shaw

Revision 1.207.2.2  2009/12/28 14:14:22  patrys
- 2.23.1

Revision 1.208  2009/12/02 22:58:44  megabajt
- updated to 2.22.3

Revision 1.207.2.1  2009/12/01 08:39:14  lisu
- 2.23.0
- adapter

Revision 1.207  2009/10/08 14:02:22  arekm
- up to 2.22.2

Revision 1.206  2009/09/30 19:44:25  megabajt
- updated to 2.22.1

Revision 1.205  2009/09/23 10:13:20  patrys
- merge from DEVEL

Revision 1.201.2.7  2009/09/23 10:09:56  patrys
- 2.22.0
- TODO: package gdb hooks (devel? debuginfo?)

Revision 1.204  2009/09/23 07:38:57  arekm
- up to 2.22.0

Revision 1.201.2.6  2009/09/08 08:57:12  lisu
- up to 2.21.6

Revision 1.201.2.5  2009/09/03 08:39:21  lisu
- up to 2.21.5
- -acglib is obsolete (patch applied upstream)

Revision 1.203  2009/09/03 07:45:50  lisu
- up to 2.20.5

Revision 1.201.2.4  2009/08/23 14:28:26  aredridel
- fix build with autoconf 2.64 (http://bugzilla.gnome.org/show_bug.cgi?id=591840)

Revision 1.201.2.3  2009/07/22 20:31:09  patrys
- 2.21.4

Revision 1.201.2.2  2009/07/08 19:06:58  patrys
- 2.21.3

Revision 1.202  2009/06/29 16:25:50  megabajt
- updated to 2.20.4

Revision 1.201.2.1  2009/06/22 20:33:01  patrys
- 2.21.2

Revision 1.201  2009/06/04 07:56:25  megabajt
- drop not supported ca@valencia locale
- release 2

Revision 1.200  2009/06/02 21:18:51  megabajt
- updated to 2.20.3

Revision 1.199  2009/05/17 17:19:34  patrys
- 2.20.2

Revision 1.198  2009/04/24 17:56:54  lkrotowski
- fixed BR (from configure.in)

Revision 1.197  2009/04/10 12:56:23  megabajt
- updated to 2.20.1

Revision 1.196  2009/03/30 13:32:03  blues
- CVE-2008-4316 note

Revision 1.195  2009/03/25 10:31:11  arekm
- release 2

Revision 1.194  2009/03/13 14:34:52  megabajt
- updated to 2.20.0; merged changes from DEVEL
  [fixes: CVE-2008-4316]

Revision 1.193.2.3  2009/03/04 19:02:07  megabajt
- updated to 2.19.10

Revision 1.193.2.2  2009/02/18 09:21:43  megabajt
- updated to 2.19.8

Revision 1.193.2.1  2009/02/17 18:09:43  megabajt
- updated to 2.19.7
- unified GLib name
- don't remove ps locale

Revision 1.193  2009/01/10 18:47:25  megabajt
- updated to 2.18.4

Revision 1.192  2008/11/26 03:43:02  sls
- BR: rpm-pythonprov (/usr/bin/gtester-report)

Revision 1.191  2008/11/25 18:57:22  megabajt
- updated to 2.18.3
- removed -lt.patch (applied upstream)

Revision 1.190  2008/10/17 17:30:46  megabajt
- updated to 2.18.2

Revision 1.189  2008/09/18 18:08:32  megabajt
- updated to 2.18.1

Revision 1.188  2008/09/08 21:35:59  qboosh
- force pcre 7.8 to ensure CVE-2008-2371 fix

Revision 1.187  2008/09/06 22:48:59  megabajt
- updated to 2.18.0; merged changes from DEVEL

Revision 1.184.2.7  2008/08/18 14:40:46  patrys
- 2.17.7

Revision 1.184.2.6  2008/08/05 13:57:31  patrys
- 2.17.6

Revision 1.184.2.5  2008/07/22 20:15:28  megabajt
- updated to 2.17.4
- drop unsupported ps locale

Revision 1.186  2008/07/21 15:07:19  megabajt
- updated to 2.16.5

Revision 1.184.2.4  2008/07/05 22:50:30  megabajt
- updated to 2.17.3

Revision 1.185  2008/07/05 18:56:10  megabajt
- updated to 2.16.4

Revision 1.184.2.3  2008-06-12 21:02:15  patrys
- correct md5

Revision 1.184.2.2  2008-06-12 19:46:03  patrys
- 2.17.2

Revision 1.184.2.1  2008-05-28 11:04:16  patrys
- 2.17.0

Revision 1.184  2008-04-11 21:08:23  qboosh
- removed obsolete selinux patch and todo

Revision 1.183  2008-04-08 15:04:13  megabajt
- updated to 2.16.3

Revision 1.182  2008-04-07 10:01:50  megabajt
- updated to 2.16.2

Revision 1.181  2008-04-01 02:14:15  sls
- fixed TODO

Revision 1.180  2008-03-31 20:01:37  glen
- release 5

Revision 1.179  2008-03-31 19:32:24  glen
- release 4

Revision 1.178  2008-03-31 19:29:32  glen
- release 3

Revision 1.177  2008-03-30 20:09:17  sls
- added selinux.patch

Revision 1.176  2008-03-30 19:52:29  sls
- added selinux bcond and TODO

Revision 1.175  2008-03-11 21:52:03  megabajt
- release 2

Revision 1.174  2008-03-11 19:16:07  qboosh
- removed long time obsolete SEGV patch
- added lt patch (fixes build with libtool 2.2)

Revision 1.173  2008-03-11 14:57:08  megabajt
- updated to 2.16.1

Revision 1.172  2008-03-10 19:05:29  megabajt
- updated to 2.16.0; merged changes from DEVEL

Revision 1.157.4.13  2008-02-26 22:57:29  megabajt
- updated to 2.15.6

Revision 1.157.4.12  2008-02-12 09:16:05  megabajt
- updated to 2.15.5

Revision 1.171  2008/02/07 21:01:44  megabajt
- use GNOME ftp

Revision 1.170  2008-02-07 20:56:27  megabajt
- updated to 2.14.6

Revision 1.157.4.11  2008-01-29 19:10:46  megabajt
- updated to 2.15.4
- -noarch and -asneeded patches applied upstream

Revision 1.157.4.10  2008-01-24 11:49:15  patrys
- use GNOME ftp, gtk is crazy and claims the file is 4K

Revision 1.157.4.9  2008-01-21 19:37:42  megabajt
- updated to 2.15.3

Revision 1.157.4.8  2008-01-14 17:58:17  megabajt
- updated to 2.15.2

Revision 1.169  2008/01/08 20:45:16  qboosh
- more verbose files, ghost soname symlinks

Revision 1.168  2008-01-08 14:30:10  megabajt
- updated to 2.14.5

Revision 1.157.4.7  2008-01-07 19:41:09  megabajt
- updated to 2.15.1
- more verbose files

Revision 1.157.4.6  2007-12-22 23:23:54  megabajt
- merged changes from HEAD

Revision 1.157.4.5  2007-12-21 03:04:50  patrys
- 2.15.0
- here comes gio

Revision 1.167  2007/11/24 18:10:23  megabajt
- updated to 2.14.4

Revision 1.166  2007-11-07 17:01:32  megabajt
- updated to 2.14.3

Revision 1.165  2007/11/04 22:53:38  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.164  2007/10/24 18:50:03  qboosh
- added asneeded patch
- use system pcre

Revision 1.163  2007/10/16 16:52:21  megabajt
- updated to 2.14.2

Revision 1.162  2007/09/16 19:32:07  megabajt
- updated to 2.14.1

Revision 1.161  2007/08/14 16:46:11  megabajt
- updated to 2.14.0

Revision 1.160  2007/07/30 18:00:02  qboosh
- LGPL v2+

Revision 1.159  2007/07/26 08:42:32  megabajt
- updated to 2.12.13

Revision 1.158  2007/06/15 08:11:21  glen
- Provide: glib2-libs to avoid massive rebuilds; rel 2

Revision 1.157.4.4  2007-06-07 15:26:15  megabajt
- updated to 2.13.4

Revision 1.157.4.3  2007/06/02 13:20:28  aflinta
- 2.13.2

Revision 1.157.4.2  2007/05/03 09:25:21  megabajt
- updated to 2.13.1

Revision 1.157.4.1  2007/05/02 12:03:04  megabajt
- updated to 2.13.0

Revision 1.157  2007/05/02 10:15:16  megabajt
- updated to 2.12.12

Revision 1.156  2007/03/31 11:53:13  qboosh
- no macros in Obsoletes for old package

Revision 1.155  2007/03/31 06:46:12  ankry
- killed -libs, rel. 3

Revision 1.154  2007/03/30 20:50:10  qboosh
- fixed pl for -libs; but IMO separating it is overkill anyway

Revision 1.153  2007/03/18 14:55:40  megabajt
- pl for libs subpackage

Revision 1.152  2007/03/18 14:11:12  glen
- separated -libs; rel 2

Revision 1.151  2007/03/09 18:12:08  megabajt
- updated to 2.12.11

Revision 1.150  2007/03/09 12:08:28  qrczak
- be@latin locale is now supported by glibc.

Revision 1.149  2007/03/08 17:45:18  megabajt
- removed unsupported(?) be@latin locale
- release 2

Revision 1.148  2007/03/08 16:16:13  rotom
- up to 2.12.10

Revision 1.147  2007/03/02 20:07:08  arekm
- rel 2; m4 macros should be noarch

Revision 1.146  2007/02/13 07:16:45  glen
- tabs in preamble

Revision 1.145  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.144  2007/01/17 16:47:51  megabajt
- updated to 2.12.9
- ABI breakage patch applied upstream

Revision 1.143  2007/01/16 15:32:56  megabajt
- added ABI breakage patch which should fix GNOME bug #397139
- release 2

Revision 1.142  2007/01/15 15:32:25  megabajt
- updated to 2.12.8
- removed obsolete pkgconfig-fix patch

Revision 1.141  2007/01/05 16:31:11  megabajt
- 2.12.7

Revision 1.140  2006/12/20 20:30:50  megabajt
- up to 2.12.6

Revision 1.139  2006/11/20 10:57:57  pluto
- release 2.

Revision 1.138  2006/11/05 20:59:13  sparky
- added pkgconfig-fix patch, now syslog-ng builds

Revision 1.137  2006/11/05 16:16:18  sparky
- fixed build without apidocs, also removes devel manpages

Revision 1.136  2006/10/02 20:39:25  grzegol
- 2.12.4

Revision 1.135  2006/08/30 15:52:41  freetz
- 2.12.3

Revision 1.134  2006/08/16 17:51:04  grzegol
- updated to 2.12.2

Revision 1.133  2006/07/24 07:18:28  freetz
- 2.12.1, LDFLAGS removed (moved to rpm)

Revision 1.132  2006/07/10 20:43:51  freetz
- --as-needed support, updated deps

Revision 1.131  2006/07/02 21:07:27  freetz
- 2.12.0

Revision 1.130  2006/06/24 12:00:35  areq
- fix without apidocs

Revision 1.129  2006/06/20 19:42:16  freetz
- 2.11.4

Revision 1.128  2006/06/12 16:09:20  freetz
- 2.11.3

Revision 1.127  2006/06/07 13:04:36  freetz
- rel.2

Revision 1.126  2006/06/06 15:18:57  freetz
- zh_HK is back

Revision 1.125  2006/06/06 14:50:00  freetz
- 2.11.2

Revision 1.124  2006/05/23 22:29:27  freetz
- 2.11.1 (devel)

Revision 1.123  2006/04/07 20:19:47  freetz
- 2.10.2

Revision 1.122  2006/03/26 22:43:45  qboosh
- merged from DEVEL

Revision 1.121  2006/01/19 16:22:45  freetz
- 2.8.6

Revision 1.120.2.6  2006/03/07 21:24:06  freetz
- 2.10.1

Revision 1.120.2.5  2006/02/25 08:54:08  freetz
- 2.10.0

Revision 1.120.2.4  2006/02/11 16:02:11  freetz
- 2.9.6

Revision 1.120.2.3  2006/01/27 15:54:59  freetz
- 2.9.5

Revision 1.120.2.2  2006/01/19 08:52:05  freetz
- 2.9.4

Revision 1.120.2.1  2006/01/18 07:59:11  freetz
- 2.9.3, apidocs subpkg

Revision 1.120  2006/01/04 15:01:10  freetz
- 2.8.5

Revision 1.119  2005/11/15 20:27:48  freetz
- 2.8.4

Revision 1.118  2005/10/04 17:49:49  freetz
- 2.8.3

Revision 1.117  2005/09/28 21:59:23  freetz
- 2.8.2

Revision 1.116  2005/09/23 12:08:50  djurban
- no more gtk-doc BUAHAHAHAHA

Revision 1.115  2005/09/23 11:54:33  qboosh
- unified bcond header

Revision 1.114  2005/09/23 11:34:09  djurban
- gtkdocsize bconded, without it gtk-doc is required even when building without apidocs

Revision 1.113  2005/09/19 18:27:40  djurban
- standardise static_libs and s/doc/apidocs/ to properly get rid of gtk-doc if compiled without it

Revision 1.112  2005/08/30 18:02:53  arekm
- merged from DEVEL

Revision 1.111  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.110  2005/08/01 22:27:14  freetz
- 2.6.6

Revision 1.109  2005/07/07 16:55:48  witekfl
- #

Revision 1.108  2005/06/27 19:47:01  adgor
- wo doc bcond

Revision 1.108.2.10  2005/08/23 07:45:11  paladine
- updated to 2.8.1

Revision 1.108.2.9  2005/08/14 00:04:25  freetz
- 2.8.0

Revision 1.108.2.8  2005/08/05 18:49:52  paladine
- updated to 2.7.7

Revision 1.108.2.7  2005/08/04 08:02:04  aflinta
- version 2.7.6

Revision 1.108.2.6  2005/08/03 16:22:33  freetz
- fix for http://bugzilla.gnome.org/show_bug.cgi?id=312402, rel.2

Revision 1.108.2.5  2005/08/02 17:36:55  freetz
- 2.7.5

Revision 1.108.2.4  2005/07/23 10:16:50  freetz
- 2.7.4

Revision 1.108.2.3  2005/07/16 17:01:24  freetz
- 2.7.3

Revision 1.108.2.2  2005/07/09 22:14:38  freetz
- 2.7.2

Revision 1.108.2.1  2005/07/02 20:07:26  freetz
- 2.7.1, cut changelog, s/DESTDIR/makefile patch, use ftp.gtk.org
